import 'package:flutter/material.dart';

class AddContactButton extends StatelessWidget {
  const AddContactButton({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return IconButton(
      icon: Icon(Icons.add, color: Colors.blue),
      onPressed: () {
        // Show pop-up with two mock choices
        showDialog(
          context: context,
          barrierDismissible: true, // Allows dismissal by tapping outside
          builder: (BuildContext context) {
            return AlertDialog(
              backgroundColor: Colors.black,
              content: Column(
                mainAxisSize: MainAxisSize.min,
                children: [
                  TextButton(
                    onPressed: () {
                      Navigator.of(context).pop();
                      // Action for Option 1
                    },
                    child: Text("Option 1", style: TextStyle(color: Colors.white)),
                  ),
                  TextButton(
                    onPressed: () {
                      Navigator.of(context).pop();
                      // Action for Option 2
                    },
                    child: Text("Option 2", style: TextStyle(color: Colors.white)),
                  ),
                ],
              ),
            );
          },
        );
      },
    );
  }
}
